KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataMultiGeometry Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataMultiGeometry

## Detailed Description

A class that can contain other GeoDataGeometry objects

GeoDataMultiGeometry is a collection of other GeoDataGeometry objects. As one can add GeoDataMultiGeometry to itself, you can make up a collection of different objects to form one Placemark.

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataGeometry other)
| append (self, Marble.GeoDataGeometry value)
Marble.GeoDataGeometry | at (self, int pos)
| clear (self)
Marble.GeoDataGeometry | first (self)
Marble.GeoDataGeometry | last (self)
QString | nodeType (self)
Marble.GeoDataMultiGeometry | operator << (self, Marble.GeoDataGeometry value)
Marble.GeoDataGeometry | operator [] (self, int pos)
| pack (self, QDataStream stream)
int | size (self)
| unpack (self, QDataStream stream)
QVector<Marble::GeoDataGeometry> | vector (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataGeometry | value
| ) |  |  |

Marble.GeoDataGeometry at | ( | self, |
|  | int | pos
| ) |  |  |

clear | ( |  | self ) |

Marble.GeoDataGeometry first | ( |  | self ) |

Marble.GeoDataGeometry last | ( |  | self ) |

QString nodeType | ( |  | self ) |

Marble.GeoDataMultiGeometry operator << | ( | self, |
|  | Marble.GeoDataGeometry | value
| ) |  |  |

Marble.GeoDataGeometry operator [] | ( | self, |
|  | int | pos
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

int size | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

QVector<Marble::GeoDataGeometry> vector | ( |  | self ) |